/****************************************
Filename: Util/Time.c
Description: Videotester Time operations
Author: Christian Linhart
Copyright: (C)1997-2011 Christian Linhart
****************************************/




#include <X11/Xlib.h>

#include <time.h>
#include <pthread.h>

#include "DRTime.h"


struct timediff VtTimeDiffMsecs(int msecs)
{
    struct timediff d;
    d.td_sec=msecs/1000;
    d.td_usec=1000*(msecs%1000);
    return d;
}

struct timediff VtTimeDiffSecs(int secs)
{
    struct timediff d;
    d.td_sec=secs;
    d.td_usec=0;
    return d;
}


