
#is source'd from another script. Do not call directly!

echo "exportercommand=$exportercommand"


if [ -z "$batch" ] ; then
	eval $exportercommand
else 
	#normalize batchTargetDir
	batchTargetDir=`echo $batchTargetDir | sed -e 's/\/$//'`
	#process input files
	for inputfile in $batch ; do
		#normalize inputfile
		inputfile=`echo $inputfile | sed -e 's/\/$//'`
		#
		outputfile="${batchPrefix}${inputfile}${batchExtension}"
		if [ "$batchTargetDir" != "" ] ; then
			outputfile="$batchTargetDir/"`basename "$outputfile"`
		fi
		if $DEMOREC_DIR/auxbin/is-demorec-video.sh "$inputfile" ; then 
			echo "---------------------------------------------------------------------------"
			echo "Batchmode: exporting \"$inputfile\" to \"$outputfile\""
			echo "---------------------------------------------------------------------------"
			eval $exportercommand
		else
			echo "---------------------------------------------------------------------------"
			echo "Batchmode: ignoring input \"$inputfile\""
			echo "because it is not a demorecorder recording" 
			echo "---------------------------------------------------------------------------"
		fi
	done
fi	
