#!/bin/bash

REC_DISPLAY_NUM=$1

#cleanup X11-lockfiles
if [ -d /proc/self ] ; then
	for xlockfile in /tmp/.X*-lock ; do
		if [ ! -d /proc/$[ `cat $xlockfile` ] ] ; then
			#Prozess exisiert nicht mehr --> lock ist ein Zombie
			rm -f $xlockfile
			socketname=` echo $xlockfile | sed -e 's/\.X/.X11-unix\/X/' -e 's/-lock//' `
			#echo "lockfile=$xlockfile, socketname=$socketname"
			rm -f $socketname
		fi
	done
fi

#compute the rec-display-num of a free display
while [ -f "/tmp/.X$REC_DISPLAY_NUM-lock" -o -S "/tmp/.X11-unix/X$REC_DISPLAY_NUM" ] ; do
	REC_DISPLAY_NUM=$[ $REC_DISPLAY_NUM + 1 ]
done

echo $REC_DISPLAY_NUM
