########################################################
# DemoRecorder tcl text display utils
#
# Copyright (C) 2012 Christian Linhart <chris@DemoRecorder.com>
########################################################

package provide drGuiTextDisplay 1.0

namespace eval dr { namespace eval gui { namespace eval TextDisplay {

proc ShowTextInPopup { name title text } {
	set widgetId ".$name"
	destroy $widgetId
	set t [ toplevel $widgetId ]

	puts "toplevel=$t"

	set frame [ frame $t.frame ] 

	puts "frame=$frame"

	wm title $t "$title"

	text $frame.text -yscrollcommand "$frame.scrollbar set"
	scrollbar $frame.scrollbar -command "$frame.text yview"
	grid configure $frame.text $frame.scrollbar -in $frame
	grid configure $frame.text -sticky nsew 
	grid columnconfigure $frame 0 -weight 1
	grid configure $frame.scrollbar -sticky nsew
	grid columnconfigure $frame 1 -weight 0
	grid rowconfigure $frame 0 -weight 1
	
	button $frame.closeButton -text "Close" \
		-command "destroy $t"

	grid configure $frame.closeButton - -in $frame

	$frame.text insert end "$text"
	#-text "$helptext"
	
	#grid rowconfigure $frame 1 -weight 1 

	 
	#grid rowconfigure .t 1 -weight 0
	#grid columnconfigure $frame 1 -weight 100
	#grid columnconfigure $frame 1 -minsize 600

	pack $frame -expand 1 -anchor nw -fill both	

	makeReadOnly $frame.text
}

} } }

