#!/bin/sh

DEMOREC_DIR=/opt/DemoRecorder

USER_PREFS_DIR="$HOME/.DemoRecorder"
SYSTEM_PREFS_DIR=/etc/DemoRecorder
INSTALLATION_PREFS_DIR="$DEMOREC_DIR/config"

#read configfiles
if [ -f $INSTALLATION_PREFS_DIR/preferences ] ; then
	. $INSTALLATION_PREFS_DIR/preferences
fi

if [ -f $SYSTEM_PREFS_DIR/preferences ] ; then
	. $SYSTEM_PREFS_DIR/preferences
fi

if [ -f $USER_PREFS_DIR/preferences ] ; then
	. $USER_PREFS_DIR/preferences
fi

echo "DEMOREC_DEBUGWS=$DEMOREC_DEBUGWS"
#
cd $DEMOREC_DIR

for filename in $(
	find . \( -name '*.tcl' -o -name '*.sh' \) -print
	echo ./bin/demorec
) ; do


	debugfilename="$DEMOREC_DEBUGWS/X11/xc/programs/Videotester/Play/MotifUI/Deliver-MotifVCR/disprec-skeleton/$filename"

	if [ -f "$debugfilename" ] ; then
		echo "replacing $filename by link to $debugfilename"
		rm -f $filename
		ln -s $debugfilename $filename
	else
		echo "file $filename does not exist in debugws"	
	fi

done
