#!/bin/sh
#usage: nested-desktop-display base-display

nested_desktop_display=$1
base_display=$2

logfile="$DEMOREC_LOGDIR/demorec-proxy-xmon.$$.log.gz"

echo "DemoRecorder: proxy-xmon logfile = \"$logfile\""

echo "xmon-proxy.sh: nested_desktop_display = $nested_desktop_display, base_display = $base_display"

nested_desktop_display_num=`echo $nested_desktop_display | sed -e s/^.*:// -e 's/\..*$//' `

echo "xmon-proxy.sh: nested_desktop_display_num = $nested_desktop_display_num"

# $DEMOREC_DIR/3rdparty/bin/xmonui -display $XMONUI_DISPLAY | 

 $DEMOREC_DIR/3rdparty/bin/xmond -server "localhost$base_display" -port $nested_desktop_display_num -verbose 4 | gzip >"$logfile"

