#!/bin/sh

DEMOREC_DIR=/opt/DemoRecorder
export LD_LIBRARY_PATH="$DEMOREC_DIR/lib:$DEMOREC_DIR/3rdparty/lib:$LD_LIBRARY_PATH"

displaynum=""
size=720x576x16
DEMOREC_DIR=/opt/DemoRecorder
X11FONTPATH=${DEMOREC_DIR}/lib/fonts
args=""

#echo "framebufCommandline: $*"

while [ "$1" != "" ] ; do
	case "$1" in
		--display-num)
			displaynum=$2;
			shift
			shift
		;;
		--screen)
			size=$2;
			args="$args -screen $2 $3"
			shift
			shift
			shift
		;;
		--visual)
			args="$args -visual $2 $3"
			shift
			shift
			shift
		;;
		--default-visual)
			args="$args -default-visual $2 $3"
			shift
			shift
			shift
		;;
	esac
done

#echo "displaynum=$displaynum"
#echo "size=$size"
#echo "args=$args"

if [ "$DEMOREC_ENABLE_LOG" = "1" ] ; then
	log=/tmp/drvfb.log
else
	log=/dev/null
fi

#/Projects/DisplayRecorder/Workspaces/WE8/X11/xc/programs/Xserver/Xvfb :$displaynum -screen 0 $size -ac
$DREXPORTER_FRAMEBUFFER :$displaynum $args -fp $X11FONTPATH -ac -terminate >"$log" 2>&1

